Subject: Re: User Interface MGCP package

From: Flemming Andreasen <[email-masked]>
Date: Thu, 13 Jul 2000 17:34:05 -0400

There was quite a lot of list discussion in April as well as in the
Adelaide meeting about the appropriateness of having a profile
supporting only a subset of the mandatory requirements defined by the
Megaco protocol. I thought we all agreed, that profiles are not allowed
to do that, at least not if they want official Megaco blessing. Now, the
ipphone-02 package violates that, so I don't see how it can be a working
group item. Can somebody please clarify this ?

Thanks

        Flemming

Peter Blatherwick wrote:

>  Flemming, all:Correct.  As I understood it, Megaco IP Phone MG was
> agreed to go forward as Informational RFC once final details are
> complete, not Standards Track, since it is an application of
> Megaco/H.248 and derives from work outside of IETF.  My wording was
> unclear on this.  Meant to say "based on open standards" -- not to
> imply it is itself an open standard in IETF.  (I note however that
> considerable re-work and 2 draft iterations has happened as a result
> of Megaco list discussion.  Work is carried out on behalf of TIA
> TR-41.3.4 working group on VoIP Telephones, as an option for phone
> control, other options being SIP or H.323.) As far as WG status, this
> has been accepted as a WG work item since 00 version first posted June
> last year.  Was draft-blatherwick- before that. Sorry for any
> confusion there. -- Peter Blatherwick
>
>      -----Original Message-----
>      From: Flemming Andreasen [mailto:[email-masked]]
>      Sent: Wednesday, July 12, 2000 17:09
>      To: Blatherwick, Peter [CAR:AT14:EXCH]
>      Cc: [email-masked]
>      Subject: Re: User Interface MGCP package
>
>      Please, let's not get into these types of counter-productive
>      discussions again. We are all entitled to our individual
>      opinions and strategies in this space, but this mailing list
>      is neither the place to promote them nor argue about them.
>
>
>      As far as the ip-phone package is concerned, I recall very
>      clearly that we agreed *not to* make this Standards Track in
>      Adelaide, so I don't know where you get the "standards"
>      label from ? Maybe we should rename it to
>      "draft-blatherwick-..." to make that clear  ?
>
>
>      -- Flemming
>
>
>
>      Peter Blatherwick wrote:
>
>     >
>     >
>     > I feel I must be somewhat blunt here.
>     >
>     > This work replicates many aspects of the H.248 Annex G:
>     > User Interface Elements and Actions Packages, currently in
>     > Standards Track Last Call under IETF Megaco WG and in
>     > White Document form for ITU SG-16 Decision, well agreed in
>     > both standards bodies.  Yet, the MGCP-based proposal is
>     > not in direction of an open standard and is much less
>     > developed in terms of user interface widget coverage and
>     > level of detail.
>     >
>     > Why would anyone undertake to replicate work that is
>     > already near completion in open standards?
>     >
>     > Why would IETF Megaco WG in particular (or ITU SG-16 for
>     > that matter) want to know about work going on to
>     > perpetuate a non-standardized proposal (MGCP) which is now
>     > divergent from the real international open standards
>     > direction (Megaco/H.248)?
>     >
>     > Instead, for user interface packages please see
>     > http://www.ietf.org/internet-drafts/draft-ietf-megaco-h248g-00.txt.
>     > For master/slave style IP Phone control under open
>     > standards see Megaco IP Phone Media Gateway Application
>     > Profile at
>     > http://www.ietf.org/internet-drafts/draft-ietf-megaco-ipphone-02.txt.
>     >
>     > -- Peter Blatherwick
>     >
>     > -----Original Message-----
>     > From: Marc Petit-Huguenin [mailto:[email-masked]]
>     >
>     > Sent: Monday, July 10, 2000 15:24
>     > To: [email-masked]
>     > Subject: User Interface MGCP package
>     >
>     > Hi all,
>     >
>     > We have just released an Internet Draft which defines a
>     > new MGCP package
>     > for supporting the User Interface aspects of IP feature
>     > phones.
>     > We look forward to your comments for improving and
>     > validating this
>     > package.
>     > This document is accessible at
>     >
>     > ttp://www.ietf.org/internet-drafts/draft-petithuguenin-mgcp-ui-pkg-00.txt
>     >
>     > or alternatively at
>     >
>     > ttp://www.netergynet.com/protocols/draft-petithuguenin-mgcp-ui-pkg-00.txt
>     >
>     > Andy Huckridge
>     > Marc Petit-Huguenin
>
>      --
>      Flemming Andreasen                Phone: +1 732 452 1667
>      Cisco Systems                     Fax:   +1 240 359 5839
>
>
--
Flemming Andreasen                Phone: +1 732 452 1667
Cisco Systems                     Fax:   +1 240 359 5839

---

From: Peter Blatherwick <[email-masked]>
Date: Fri, 14 Jul 2000 09:58:22 -0400

Flemming , list:

The 02 version of the Megaco IP Phone spec includes a *for discussion*
description off the subset approach.  However, top of section 6.4 is an
Editor's Note that states this as being for discussion only, and why we see
this as a good thing and allowed for in the Requirements.  Decisions on
specific rules for Profile definition in Megaco/H.248 in general was
deferred pending completion of version 1 of the spec and gaining some real
life experience, as also stated in the Editor's Note.

During the Adelaide meeting I presented Megaco IP Phone status, including
agreement to remove this subset approach from the next iteration of the IP
Phone draft.  We have not yet posted this, however we all agreed this aspect
is gone.

From the Adelaide presentation ("Megaco IP Phone Application Profile -
Status Update", 30.3.00):
"
  * Protocol subset profile
     - Proposal: remove subset aspect in this version, consider subsetting
"later",
       when specific rules for profile definition are described
"
This was agreed at the meeting.

Hope that helps.

-- Peter Blatherwick

-----Original Message-----
From: Flemming Andreasen [mailto:[email-masked]]
Sent: Thursday, July 13, 2000 17:34
To: Blatherwick, Peter [CAR:AT14:EXCH]
Cc: [email-masked]
Subject: Re: User Interface MGCP package

There was quite a lot of list discussion in April as well as in the Adelaide
meeting about the appropriateness of having a profile supporting only a
subset of the mandatory requirements defined by the Megaco protocol. I
thought we all agreed, that profiles are not allowed to do that, at least
not if they want official Megaco blessing. Now, the ipphone-02 package
violates that, so I don't see how it can be a working group item. Can
somebody please clarify this ?

Thanks
        Flemming

Peter Blatherwick wrote:
 Flemming, all:Correct.  As I understood it, Megaco IP Phone MG was agreed
to go forward as Informational RFC once final details are complete, not
Standards Track, since it is an application of Megaco/H.248 and derives from
work outside of IETF.  My wording was unclear on this.  Meant to say "based
on open standards" -- not to imply it is itself an open standard in IETF.
(I note however that considerable re-work and 2 draft iterations has
happened as a result of Megaco list discussion.  Work is carried out on
behalf of TIA TR-41.3.4 working group on VoIP Telephones, as an option for
phone control, other options being SIP or H.323.) As far as WG status, this
has been accepted as a WG work item since 00 version first posted June last
year.  Was draft-blatherwick- before that. Sorry for any confusion there. --
Peter Blatherwick
-----Original Message-----
From: Flemming Andreasen [mailto:[email-masked]]
Sent: Wednesday, July 12, 2000 17:09
To: Blatherwick, Peter [CAR:AT14:EXCH]
Cc: [email-masked]
Subject: Re: User Interface MGCP package

Please, let's not get into these types of counter-productive discussions
again. We are all entitled to our individual opinions and strategies in this
space, but this mailing list is neither the place to promote them nor argue
about them.

As far as the ip-phone package is concerned, I recall very clearly that we
agreed *not to* make this Standards Track in Adelaide, so I don't know where
you get the "standards" label from ? Maybe we should rename it to
"draft-blatherwick-..." to make that clear  ?

-- Flemming

Peter Blatherwick wrote:

I feel I must be somewhat blunt here.
This work replicates many aspects of the H.248 Annex G: User Interface
Elements and Actions Packages, currently in Standards Track Last Call under
IETF Megaco WG and in White Document form for ITU SG-16 Decision, well
agreed in both standards bodies.  Yet, the MGCP-based proposal is not in
direction of an open standard and is much less developed in terms of user
interface widget coverage and level of detail.
Why would anyone undertake to replicate work that is already near completion
in open standards?
Why would IETF Megaco WG in particular (or ITU SG-16 for that matter) want
to know about work going on to perpetuate a non-standardized proposal (MGCP)
which is now divergent from the real international open standards direction
(Megaco/H.248)?
Instead, for user interface packages please see
http://www.ietf.org/internet-drafts/draft-ietf-megaco-h248g-00.txt.  For
master/slave style IP Phone control under open standards see Megaco IP Phone
Media Gateway Application Profile at
http://www.ietf.org/internet-drafts/draft-ietf-megaco-ipphone-02.txt.
-- Peter Blatherwick
-----Original Message-----
From: Marc Petit-Huguenin [mailto:[email-masked]]
Sent: Monday, July 10, 2000 15:24
To: [email-masked]
Subject: User Interface MGCP package
Hi all,
We have just released an Internet Draft which defines a new MGCP package
for supporting the User Interface aspects of IP feature phones.
We look forward to your comments for improving and validating this
package.
This document is accessible at
http://www.ietf.org/internet-drafts/draft-petithuguenin-mgcp-ui-pkg-00.txt
or alternatively at
http://www.netergynet.com/protocols/draft-petithuguenin-mgcp-ui-pkg-00.txt
Andy Huckridge
Marc Petit-Huguenin
--
Flemming Andreasen                Phone: +1 732 452 1667
Cisco Systems                     Fax:   +1 240 359 5839

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 14 Jul 2000 15:28:44 -0400

There is no formal relationship.  The ISC role is self proclaimed, but it's
working.
There is no obligation on the IETF to do anything further with MGCP.  The
ISC hopes that
the IETF will be gracious enough to publish any updates to RFC2705 as
informational RFCs,
but understands that the IETF is under no obligation whatsoever to do so.

Brian

-----Original Message-----
From: Peter Blatherwick [mailto:[email-masked]]
Sent: Friday, July 14, 2000 3:17 PM
To: [email-masked]
Subject: Re: User Interface MGCP package

Bob wrote (12/07/00 17:07):
  >The "Informational RFC" is maintained by the ISC on behalf of the IETF.
  >The vendors involved in implementing MGCP and conducting interoperability

  >events treat this RFC as a standard.
and later in same thread (12/07/00 18:28):
  >The representation of MGCP as a standard is systematic.
  ...

One thing I'd like to get back to here.  Is the MGCP I-RFC actually
maintained by ISC "on behalf of" IETF.  Is there a formal relationship on
this?  I was not aware of one.

As I understand it IETF / IESG direction is clearly that Megaco/H.248 is the
standard, and MGCP was a *proposal* for that standard not fully accepted by
either Megaco WG or ITU-T SG-16 (although of course many, many important
aspects remain).

-- Peter Blatherwick